### Soy nuevo en GitHub y Open Source. ¿Dónde debo empezar?

Lee nuestra ["Guía de como contribuir a Open Source"](https://github.com/freeCodeCamp/how-to-contribute-to-open-source). Es una referencia completa para proyectos aptos para principiantes. E incluye muchos consejos de contribución de código abierto.

### ¿Puedo traducir el currículum de freeCodeCamp?

Sí. Pronto implementaremos las herramientas para traducir el plan de estudios de freeCodeCamp.

Con el tiempo, tenemos la intención de traducir freeCodeCamp en varios idiomas mundiales importantes, comenzando con: Árabe, Chino, Hindi, Portugués, Ruso y Español.

### ¿Cómo puedo reportar un nuevo error?

Si crees que has encontrado un error, primero lee el artículo ["Ayuda, he encontrado un bug"](https://forum.freecodecamp.org/t/how-to-report-a-bug/19543) y sigue sus instrucciones.

Si estas seguro de que es un nuevo error, sigue adelante y crea una nueva propuesta en GitHub. Asegúrate de incluir tanta información como sea posible para que podamos reproducir el error. Tenemos una plantilla de propuestas predefinida para ayudarte en esto.

Ten en cuenta que estos reportes en GitHub son para discusiones y problemas relacionados con la base de código, no para obtener ayuda para aprender a programar. Cada vez que tengas dudas, deberías [buscar ayuda en el foro](https://forum.freecodecamp.org) antes de crear un reporte en GitHub.

### ¿Cómo puedo informar sobre un problema de seguridad?

Por favor, no crees propuestas de GitHub para problemas de seguridad. En su lugar, por favor envía un correo electrónico a `security@freecodecamp.org` y lo estudiaremos inmediatamente.

### Soy un estudiante. ¿Puedo trabajar en una funcionalidad para créditos académicos?

Sí. Ten en cuenta que no podemos comprometernos con ningún cronograma o papeleo que pueda ser un requisito de tu colegio o universidad. Recibimos muchos pull-requests y contribuciones de código por parte de desarrolladores voluntarios, y respetamos su tiempo y esfuerzos. Por respeto a todos nuestros demás colaboradores, no concederemos ninguna prioridad especial a las relaciones públicas sólo porque esté relacionada con la escuela.

Le pedimos que planifique con anticipación y que trabaje en las contribuciones de código teniendo esto en cuenta.

### ¿Qué significan estas diferentes etiquetas que están agregadas en los temas?

Los mantenedores de código [clasifican](https://en.wikipedia.org/wiki/Software_bug#Bug_management) problemas y pull requests basados en su prioridad, gravedad y otros factores. Puedes [encontrar un glosario completo de sus significados aquí](https://github.com/freecodecamp/freecodecamp/labels).

### ¿Dónde comienzo si quiero trabajar en una propuesta?

Deberías pasar por los temas [**`se busca ayuda`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22) o [**`solo principiantes`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22first+timers+only%22) para una rápida visión general de lo que está disponible para que trabajes.

> [!TIP] Los temas de **`se busca ayuda`** están en marcha y no es necesario pedir permiso antes de trabajar en ellos. Sin embargo, temas con la etiqueta **`solo principiantes`** son temas especiales que están diseñados para personas que no han contribuido a la base de código de freeCodeCamp antes.

### Encontré un error tipográfico. ¿Debo informar de un problema antes de poder hacer un pull request?

Para los errores tipográficos y otros cambios de formulación, puedes abrir directamente pull-requests sin crear una propuesta primero. Por favor, asegúrese de mencionar los detalles en la descripción de la pull request para ayudarnos a entender y revisar su contribución – incluso si es un cambio menor.

Por favor cree un problema si desea discutir aspectos más amplios del código base o currículum.

### ¿Cómo puedo conseguir que me asignen un número?

Por lo general, no asignamos los números a nadie más que a los colaboradores de larga duración.  En lugar de ello, seguimos la política de abajo para ser justos con todos:

1. Lo más probable es que fusionemos el primer pull request que aborde el número o problema.
2. En el caso de múltiples colaboradores abriendo un pull request para el mismo problema más o menos al mismo tiempo, daremos prioridad al pull request que aborde mejor la cuestión. Algunas de las cosas que consideramos:
   - ¿Has incluido pruebas?
   - ¿Has detectado todos los casos de usos?
   - ¿Te aseguraste de que pasaran todas las pruebas, y confirmaste que todo funciona localmente?
3. Por último, damos prioridad a los pull requests que siguen nuestras directrices recomendadas.
   - ¿Has seguido la lista de verificación de pull request?
   - ¿Has dado a tu pull request un título significativo?

### Estoy atascado en algo que no está incluido en esta documentación.

**Siéntete libre de pedir ayuda en:**

- La categoría de `colaboradores` de [nuestro foro de la comunidad](https://forum.freecodecamp.org/c/contributors).
- The `#Contributors` channel on [our chat server](https://chat.freecodecamp.org/channel/contributors).

Estamos encantados de ayudarte a contribuir a cualquiera de los temas en los que te gustaría trabajar. Si nos hace preguntas sobre los temas relacionados, estaremos encantados de aclararlos. Asegúrese de buscar su pregunta antes de publicar una nueva.

Gracias de antemano por ser educado y paciente. Recuerde – esta comunidad se maneja principalmente por voluntarios.

**Asistencia Adicional:**

Si tiene preguntas acerca del stack, arquitectura de la base de código, no dude en contactar con nuestro equipo de desarrollo:

| Personal              | Enviar mensaje en el Foro                                                    |
|:--------------------- |:---------------------------------------------------------------------------- |
| Mrugesh Mohapatra     | [@raisedadead](https://forum.freecodecamp.org/u/raisedadead)                 |
| Ahmad Abdolsaheb      | [@abdolsa](https://forum.freecodecamp.org/u/abdolsa)                         |
| Kristofer Koishigawa  | [@scissorsneedfoodtoo](https://forum.freecodecamp.org/u/scissorsneedfoodtoo) |
| Tom Mondloc           | [@moT01](https://forum.freecodecamp.org/u/moT01)                             |
| Oliver Eyton-Williams | [@ojeytonwilliams](https://forum.freecodecamp.org/u/ojeytonwilliams)         |
| Randell Dawson        | [@RandellDawson](https://forum.freecodecamp.org/u/randelldawson)             |

**Puedes enviar un correo electrónico a nuestro equipo de desarrolladores en: `dev[at]freecodecamp.org`**
